<script lang="ts">
import Vue from 'vue';
import { MetaInfo } from 'vue-meta/types/vue-meta';
import { init } from 'aos';
import { NextStep } from '~/components/common/index';
import { SideMenu } from '~/components/side-menu/index';
import {
  TopicsCards,
  AnchorDropdown,
  StagesDevopsLifeCycleCTA as CallToAction,
  CopyMedia,
} from '~/components/stages-devops-lifecycle/index';
import { getPageMetadata } from '~/common/meta';

export default Vue.extend({
  name: 'StagesDevopsLifecycle',
  components: {
    SideMenu,
    CallToAction,
    AnchorDropdown,
    CopyMedia,
    TopicsCards,
    NextStep,
  },
  async asyncData({ $content }) {
    const doc = await $content('stages-devops-lifecycle/index').fetch();
    return { doc };
  },
  head(): MetaInfo {
    return getPageMetadata((this as any).doc, this.$route.path);
  },
  beforeMount() {
    init({
      once: true,
    });
  },
  mounted() {
    const { sideMenu } = this.$refs;

    document.addEventListener('scroll', () => {
      if (window.scrollY >= 5550.5) {
        sideMenu.$el.style.display = 'none';
      } else sideMenu.$el.style.display = 'block';
    });
  },
});
</script>
<template>
  <SlpContainer class="stages-devops">
    <SlpRow class="row">
      <SlpColumn :cols="10" size="xl">
        <CallToAction :data="doc.call_to_action" />
        <div class="stages">
          <AnchorDropdown
            fixed
            :options="doc.side_menu.links"
            :placeholder="doc.side_menu.placeholder"
          />
          <div ref="copyContainer">
            <CopyMedia
              v-for="contentBlock in doc.copy_medias"
              :key="contentBlock.header"
              :data="contentBlock"
            />
          </div>
        </div>
      </SlpColumn>
      <SideMenu
        v-if="doc.side_menu"
        ref="sideMenu"
        :links="doc.side_menu.links"
      />
      <TopicsCards :data="doc.topics_cards" />
      <NextStep />
    </SlpRow>
  </SlpContainer>
</template>

<style scoped lang="scss"></style>
